# Connection Details

See [Data import](article:26) for more info on dataset connection

 - Main connection: connections to use to connect to your input data and the dataset in the flow

 - Connection type: specify the connection type to check if the connection needs a fallback

 - Fallback connection name: if the connection needs a fallback for FastPath

- Folder connection: name of a folder connection to store the local clustering model

- Transaction dataset: specify the dataset's path or table name (can be found in dataset settings (files or advanced depending of the connection))

- Leverage customer metadata: check if you want to use a customer metadata dataset:
   - table name or path
- Leverage RFM segmentation: check if you're going to use an rfm segmentation dataset (from the RFM segmentation solution).
   - table name or path: check the equivalent of the [all_customer_rfm_segments](https://gallery.dataiku.com/projects/SOL_RFM_SEGMENTATION/datasets/all_customer_rfm_segments/explore/) dataset in your instance (needs to match your transaction data

- Update FLow: Automatically updates the inputs to the correct connection and change the connection for the entire flow


Enabling the customer metadata or the RFM segments will merge those features and use them into the modelizations.
